@model PedidoView
@{ Layout = "/Views/Shared/Layout.cshtml"; }


<form action="/pedido/create" method="POST">
    <h1>Novo Pedido</h1>
     <div style="margin-top: 20px;">
        <label>Código do Cliente</label>
        <input type="text" class="form-control" name="clienteId"/>
    </div>
    <div>
        <label>Funcionario Responsável</label>
        <input type="text" class="form-control" name="funcionario"/>
    </div>
    <div>
        <label>Produto SKU</label>
        <input type="text" class="form-control" name="sku"/>
    </div>
    <div>
        <label>Quantidade</label>
        <input type="number" class="form-control" name="qtdProduto"/>
    </div>
    <button type="button" class="btn btn-primary" onclick="adicionarProduto()" style="margin-top: 20px">Adicionar Produto</button>
    <button type="submit" class="btn btn-success" style="margin-top: 20px">Salvar Pedido</button>
</form>
<script>
        var produtoIndex = 0;

        function adicionarProduto() {
            var novoProduto = `
            <div class="produtoItem">
                <div>
                    <label>SKU</label>
                    <input type="text" class="form-control" name="produtos[${produtoIndex}].SKU" />
                </div>
                <div>
                    <label>Quantidade</label>
                    <input type="text" class="form-control" name="produtos[${produtoIndex}].Quantidade" />
                </div>
            </div>
            `;

            $("#produtosContainer").append(novoProduto);
            produtoIndex++;
        }
    </script>